"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultFileHasher = void 0;
const node_based_file_hasher_1 = require("./node-based-file-hasher");
const native_file_hasher_1 = require("./native-file-hasher");
const get_hashing_implementation_1 = require("../utils/get-hashing-implementation");
function createFileHasher() {
    switch ((0, get_hashing_implementation_1.getHashingImplementation)()) {
        case get_hashing_implementation_1.HasherImplementation.Native:
            return new native_file_hasher_1.NativeFileHasher();
        case get_hashing_implementation_1.HasherImplementation.Node:
            return new node_based_file_hasher_1.NodeBasedFileHasher();
    }
}
exports.defaultFileHasher = createFileHasher();
//# sourceMappingURL=file-hasher.js.map