"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getHashingImplementation = exports.HasherImplementation = void 0;
const native_file_hasher_1 = require("../hasher/native-file-hasher");
var HasherImplementation;
(function (HasherImplementation) {
    HasherImplementation["Native"] = "Native";
    HasherImplementation["Node"] = "Node";
})(HasherImplementation = exports.HasherImplementation || (exports.HasherImplementation = {}));
function getHashingImplementation() {
    try {
        if ((!process.env.NX_NON_NATIVE_HASHER ||
            process.env.NX_NON_NATIVE_HASHER != 'true') &&
            native_file_hasher_1.NativeFileHasher.available()) {
            return HasherImplementation.Native;
        }
        return HasherImplementation.Node;
    }
    catch (_a) {
        return HasherImplementation.Node;
    }
}
exports.getHashingImplementation = getHashingImplementation;
//# sourceMappingURL=get-hashing-implementation.js.map